@import url('./../font/fontiran.css');
@import url('./components/header.css');
@import url('./components/footer.css');
@import url('./components/navbar.css');



:root {
    --theme-yellow: #F5D009;
    --theme-border-gray: #8E8E8E;
    --badge-red: #FF5A5A;
    --background-btn: #F8F8F8;
    --light-gray: #D9D9D9;
    --vector-color: #373435;
    --btn-red: #E11F1F;
    --home-background-color: #F5F5F5;
}

.body-container {
    max-width: 1166px;
    margin: 0 auto;
}

.blog-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    /* 3 equal columns */
    gap: 12px;
    max-width: 1166px;
    height: 424px;
    margin: 0 auto;
}

.blog-item {
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
    position: relative;
}

.blog-item>a {
    width: 100%;
    height: 100%;
    display: block;
}

.blog-item::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background: rgb(2, 0, 36);
    background: linear-gradient(180deg, rgba(2, 0, 36, 0) 60%, rgba(248, 222, 83, 1) 83%);

}

.blog-item img {
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
    object-fit: fill;
}

.blog-item h3 {
    font-size: 16px;
    font-weight: bold;
    line-height: 25px;
    color: var(--vector-color);
    text-align: right;
    position: absolute;
    bottom: 18px;
    right: 20px;
    left: 20px;
    text-align: justify;
}

.blog-item:hover {
    transform: translateY(-10px);
}


/* Make the second box larger */
.blog-item:nth-child(2) {
    grid-column: span 2;
    grid-row: span 2;
}

.blog-item:nth-child(2) img {
    max-width: none;
    width: 106%;
    height: 106%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}


/* products section */

.product-section {
    display: flex;
    flex-direction: column;


}

.products-content {
    display: flex;
    gap: 20px;
    margin: 80px 0;
}



/* product sidebar */
.product-sidebar {
    width: 361px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}



.products-main {
    flex-grow: 1;
    position: relative;
}


.products-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    width: 100%;
    position: relative;
}



/* products pagination */
.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    width: 100%;
    height: 55px;
    border-radius: 10px;
    background-color: var(--background-btn);
}

.pagination-btn {
    color: var(--vector-color);
    width: 28px;
    height: 28px;
    line-height: 28px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    cursor: pointer;

}

.pagination-numbers {
    display: flex;
    gap: 5px;
    margin: 0 10px;
}

.pagination-numbers button {
    width: 28px;
    height: 28px;
    background-color: #fff;
    font-size: 15px;
    color: var(--vector-color);
    line-height: 28px;
    text-align: center;
    border: 1px solid var(--light-gray);
    cursor: pointer;
    border-radius: 6px;
}

.pagination-numbers button.active {
    background-color: var(--theme-yellow);
    border-color: transparent;
}

.pagination-numbers button:hover {
    background-color: #f0f0f0;
}

/* blog container */
.blog-grid-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 19px;
}

/* blog card */
.blog-card {
    max-width: 377px;
    background-color: white;
    border-radius: 15px;
    box-shadow: inset 0 -3px 0 rgba(245, 208, 9);
    overflow: hidden;
    transition: transform 0.3s ease;
    padding: 20px;
}

.blog-card:hover {
    transform: translateY(-10px);
}

.blog-image {
    width: 100%;
    height: auto;
}

.blog-content {
    padding-top: 20px;

}

.blog-title {
    font-size: 15px;
    color: var(--vector-color);
    margin-bottom: 3px;
    font-weight: bold;
    line-height: 25px;
    text-align: right;
    /* Align title to the right */
}

.blog-description {
    font-size: 12px;
    color: var(--vector-color);
    text-align: justify;
    line-height: 1.5;
    margin-bottom: 15px;
    /* Align description to the right */
}

.blog-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 10px;
}

.blog-author-date p {
    margin: 0;
    font-size: 12px;
    color: var(--vector-color);
    text-align: right;
    display: inline-block;
}

.blog-author-date img {
    display: inline-block;
    margin-right: 13px;
    margin-left: 3px;
}

.read-more {
    background-color: var(--background-btn);
    border: 1px solid var(--light-gray);
    color: var(--vector-color);
    padding: 0 15px;
    height: 33px;
    line-height: 33px;
    text-align: center;
    text-decoration: none;
    border-radius: 5px;
    font-size: 14px;
    transition: background-color 0.3s;
}

.read-more:hover {
    background-color: var(--theme-yellow);
    border-color: var(--theme-yellow);
}

.read-more img {
    display: inline-block;
    margin-right: 7px;
}

/* search sidebar */

.search-container,
.recent-posts-container,
.category-container {
    padding: 20px 26px;
    border-radius: 20px;
    background-color: var(--background-btn);
}

.search-title,
.recent-posts-title,
.category-title {
    background-color: var(--vector-color);
    color: white;
    text-align: center;
    height: 45px;
    line-height: 45px;
    border-radius: 8px;
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 20px;
    width: 100%;
}

.search-box {
    display: flex;
    align-items: center;
    background-color: #fff;
    border-radius: 10px;
    padding: 10px;
    height: 60px;
}

.search-icon {
    width: 40px;
    height: 41px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 10px;
    background-color: var(--background-btn);
    border-radius: 10px;
    cursor: pointer;
}

.search-icon img {
    width: 26px;
    height: 26px;
}

.search-input {
    border: none;
    background: none;
    outline: none;
    font-size: 12px;
    color: var(--vector-color);
    font-weight: bold;
}

.search-input::placeholder {
    color: var(--light-gray);
}

/* post container */



.recent-posts-list,
.category-list {
    list-style-type: none;
}

.recent-posts-list li,
.category-list li {
    margin-bottom: 6px;
}

.recent-posts-list a,
.category-list li a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
    height: 41px;
    line-height: 41px;
    background-color: #fff;
    border-radius: 10px;
    text-decoration: none;
    color: var(--vector-color);
    font-size: 12px;
    font-weight: bold;
    text-align: right;
    transition: background-color 0.3s ease;
}

.category-list li a {
    flex-direction: row-reverse;
}

.recent-posts-list a:hover,
.category-list li a:hover {
    background-color: #f1f1f1;
}

/* category sidebar */



.category-count {
    font-size: 14px;
    color: #333;
}

.category-name {
    text-align: right;
    margin-right: 10px;
}

/* telegram sidebar */


.telegram-cta {
    text-align: center;
    background: rgb(253, 234, 130);
    background: linear-gradient(180deg, rgba(253, 234, 130, 1) 1%, rgba(245, 208, 9, 1) 100%);
    padding: 30px 20px;
    border-radius: 20px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.telegram-img-container{
    width: 173px;
    height: 163px;
    border-radius: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    background-color: #fff;
    margin-bottom: 27px;
}

.telegram-img-container img {
    width: 110px;

}

.telegram-cta p {
    margin: 5px 0;
    font-size: 20px;
    font-weight: bold;
    color: var(--vector-color);
}

.telegram-cta p strong {
    font-size: 25px;
    font-weight: bold;
    color: #000;
}

/* benefit-section */

.benefits-section {
    border-top: 1px dashed var(--light-gray);
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 60px 20px;
    margin: 20px auto;
    max-width: 1166px;
  }

  .benefit-item {
    text-align: center;

    display: flex;
    flex-direction: row;
  }

  .benefit-img {
    width: 51px;
    height: 51px;
    background-color: var(--theme-yellow);
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 10px;
  }

  .benefit-text {
    text-align: right;
  }

  .benefit-text h3 {
    font-size: 20px;
    font-weight: bold;
    color: var(--vector-color);

  }

  .benefit-text h3 span {
    transform: scaleX(1.5);
    display: inline-block;
  }

  .benefit-text p {
    font-size: 14px;
    color: var(--theme-border-gray);
    margin-bottom: 4px;
  }

  @media (max-width: 768px) {
    .benefits-section {
      flex-wrap: wrap;
      justify-content: center;
    }

    .benefit-item {
      margin-bottom: 20px;
    }
  }


  @media only screen and (min-width: 600px) and (max-width: 1024px){
    .blog-grid-container{
        grid-template-columns: 1fr;
    }

    .blog-container{
        height: 270px;
        gap: 5px;
    }

    .blog-item{
        border-radius: 10px;
    }

    .blog-item h3{
        font-size: 12px;
        line-height: 16px;
    }

    .benefits-section{
        padding: 40px 0;
    }
  }
